function [offsets, drifts] = extractOffsetsDriftsFromSolved(pX)
%EXTRACTOFFSETSDRIFTSFROMSOLVED Summary of this function goes here
%   Detailed explanation goes here

soundsourceCount = (length(pX) - 4) / 2;

offsets = NaN(soundsourceCount + 1, 1);
drifts = NaN(soundsourceCount + 1, 1);

offsets(1) = pX(end - 1);
drifts(1) = pX(end);

for i = 2:soundsourceCount + 1
    startIndex = (i - 1) * 2 + 3;
    offsets(i) = pX(startIndex);
    drifts(i) = pX(startIndex + 1);
end

end

