function [] = open(~, ~)
%OPEN Initializes the time of arrival editing gui.

global artoaGui artoaWorkspace;

%% Check if the gui is already opened

if isfield(artoaGui.figures, 'editTimeOfArrival')
    figure(artoaGui.figures.editTimeOfArrival);
    return
end


%% Open the gui
artoa.gui.edit.timeOfArrival();

%% Create workspace variables
artoaWorkspace.editTimeOfArrival = struct();

%% Update duplicate toa table
artoa.controller.edit.timeOfArrival.updateDuplicateToaTable();


end

